package options

import (
	"fmt"
	"time"
)

type CoachOutletOption struct {
	RawUrl    string        `json:"raw_url"`
	Pid       string        `json:"pid"` //商品的id
	Remark    string        `json:"remark"`
	PusherIds []uint        `json:"pusherIds"`
	Interval  time.Duration `json:"interval"`
}

func (o *CoachOutletOption) Uid() string {
	return fmt.Sprintf("coachOutlet_%s", o.Pid)
}
